/*----- PROTECTED REGION ID(FastPSStateMachine.cpp) ENABLED START -----*/
//=============================================================================
//
// file :        FastPSStateMachine.cpp
//
// description : State machine file for the FastPS class
//
// project :     CaenElsFastPS
//
// This file is part of Tango device class.
// 
// Tango is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Tango is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Tango.  If not, see <http://www.gnu.org/licenses/>.
// 
//
// Elettra-Sincrotrone Trieste S.C.p.A. di interesse nazionale
// Strada Statale 14 - km 163,5 in AREA Science Park
// 34149 Basovizza, Trieste ITALY
//
//=============================================================================
//                This file is generated by POGO
//        (Program Obviously used to Generate tango Object)
//=============================================================================

#include <FastPS.h>

/*----- PROTECTED REGION END -----*/	//	FastPS::FastPSStateMachine.cpp

//================================================================
//  States   |  Description
//================================================================
//  ON       |  
//  OFF      |  
//  RUNNING  |  
//  FAULT    |  


namespace FastPS_ns
{
//=================================================
//		Attributes Allowed Methods
//=================================================

//--------------------------------------------------------
/**
 *	Method      : FastPS::is_CurrentControl_allowed()
 *	Description : Execution allowed for CurrentControl attribute
 */
//--------------------------------------------------------
bool FastPS::is_CurrentControl_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for CurrentControl attribute in Write access.
	/*----- PROTECTED REGION ID(FastPS::CurrentControlStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	FastPS::CurrentControlStateAllowed_WRITE

	//	Not any excluded states for CurrentControl attribute in read access.
	/*----- PROTECTED REGION ID(FastPS::CurrentControlStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	FastPS::CurrentControlStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : FastPS::is_VoltageControl_allowed()
 *	Description : Execution allowed for VoltageControl attribute
 */
//--------------------------------------------------------
bool FastPS::is_VoltageControl_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for VoltageControl attribute in Write access.
	/*----- PROTECTED REGION ID(FastPS::VoltageControlStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	FastPS::VoltageControlStateAllowed_WRITE

	//	Not any excluded states for VoltageControl attribute in read access.
	/*----- PROTECTED REGION ID(FastPS::VoltageControlStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	FastPS::VoltageControlStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : FastPS::is_Voltage_allowed()
 *	Description : Execution allowed for Voltage attribute
 */
//--------------------------------------------------------
bool FastPS::is_Voltage_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Not any excluded states for Voltage attribute in read access.
	/*----- PROTECTED REGION ID(FastPS::VoltageStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	FastPS::VoltageStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : FastPS::is_Current_allowed()
 *	Description : Execution allowed for Current attribute
 */
//--------------------------------------------------------
bool FastPS::is_Current_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for Current attribute in Write access.
	/*----- PROTECTED REGION ID(FastPS::CurrentStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	FastPS::CurrentStateAllowed_WRITE

	//	Not any excluded states for Current attribute in read access.
	/*----- PROTECTED REGION ID(FastPS::CurrentStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	FastPS::CurrentStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : FastPS::is_CurrentSet_allowed()
 *	Description : Execution allowed for CurrentSet attribute
 */
//--------------------------------------------------------
bool FastPS::is_CurrentSet_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Not any excluded states for CurrentSet attribute in read access.
	/*----- PROTECTED REGION ID(FastPS::CurrentSetStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	FastPS::CurrentSetStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : FastPS::is_WaveformExternalTrigger_allowed()
 *	Description : Execution allowed for WaveformExternalTrigger attribute
 */
//--------------------------------------------------------
bool FastPS::is_WaveformExternalTrigger_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for WaveformExternalTrigger attribute in Write access.
	/*----- PROTECTED REGION ID(FastPS::WaveformExternalTriggerStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	FastPS::WaveformExternalTriggerStateAllowed_WRITE

	//	Not any excluded states for WaveformExternalTrigger attribute in read access.
	/*----- PROTECTED REGION ID(FastPS::WaveformExternalTriggerStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	FastPS::WaveformExternalTriggerStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : FastPS::is_VoltageDCLink_allowed()
 *	Description : Execution allowed for VoltageDCLink attribute
 */
//--------------------------------------------------------
bool FastPS::is_VoltageDCLink_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Not any excluded states for VoltageDCLink attribute in read access.
	/*----- PROTECTED REGION ID(FastPS::VoltageDCLinkStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	FastPS::VoltageDCLinkStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : FastPS::is_MosfetTemperature_allowed()
 *	Description : Execution allowed for MosfetTemperature attribute
 */
//--------------------------------------------------------
bool FastPS::is_MosfetTemperature_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Not any excluded states for MosfetTemperature attribute in read access.
	/*----- PROTECTED REGION ID(FastPS::MosfetTemperatureStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	FastPS::MosfetTemperatureStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : FastPS::is_AnalogControl_allowed()
 *	Description : Execution allowed for AnalogControl attribute
 */
//--------------------------------------------------------
bool FastPS::is_AnalogControl_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for AnalogControl attribute in Write access.
	/*----- PROTECTED REGION ID(FastPS::AnalogControlStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	FastPS::AnalogControlStateAllowed_WRITE

	//	Not any excluded states for AnalogControl attribute in read access.
	/*----- PROTECTED REGION ID(FastPS::AnalogControlStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	FastPS::AnalogControlStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : FastPS::is_WaveformTimeScale_allowed()
 *	Description : Execution allowed for WaveformTimeScale attribute
 */
//--------------------------------------------------------
bool FastPS::is_WaveformTimeScale_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for WaveformTimeScale attribute in Write access.
	/*----- PROTECTED REGION ID(FastPS::WaveformTimeScaleStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	FastPS::WaveformTimeScaleStateAllowed_WRITE

	//	Not any excluded states for WaveformTimeScale attribute in read access.
	/*----- PROTECTED REGION ID(FastPS::WaveformTimeScaleStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	FastPS::WaveformTimeScaleStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : FastPS::is_WaveformPeriods_allowed()
 *	Description : Execution allowed for WaveformPeriods attribute
 */
//--------------------------------------------------------
bool FastPS::is_WaveformPeriods_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for WaveformPeriods attribute in Write access.
	/*----- PROTECTED REGION ID(FastPS::WaveformPeriodsStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	FastPS::WaveformPeriodsStateAllowed_WRITE

	//	Not any excluded states for WaveformPeriods attribute in read access.
	/*----- PROTECTED REGION ID(FastPS::WaveformPeriodsStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	FastPS::WaveformPeriodsStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : FastPS::is_Waveform_allowed()
 *	Description : Execution allowed for Waveform attribute
 */
//--------------------------------------------------------
bool FastPS::is_Waveform_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for Waveform attribute in Write access.
	/*----- PROTECTED REGION ID(FastPS::WaveformStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	FastPS::WaveformStateAllowed_WRITE

	//	Not any excluded states for Waveform attribute in read access.
	/*----- PROTECTED REGION ID(FastPS::WaveformStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	FastPS::WaveformStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : FastPS::is_HwWaveform_allowed()
 *	Description : Execution allowed for HwWaveform attribute
 */
//--------------------------------------------------------
bool FastPS::is_HwWaveform_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for HwWaveform attribute in Write access.
	/*----- PROTECTED REGION ID(FastPS::HwWaveformStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	FastPS::HwWaveformStateAllowed_WRITE

	//	Not any excluded states for HwWaveform attribute in read access.
	/*----- PROTECTED REGION ID(FastPS::HwWaveformStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	FastPS::HwWaveformStateAllowed_READ
	return true;
}


//=================================================
//		Commands Allowed Methods
//=================================================

//--------------------------------------------------------
/**
 *	Method      : FastPS::is_On_allowed()
 *	Description : Execution allowed for On attribute
 */
//--------------------------------------------------------
bool FastPS::is_On_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for On command.
	/*----- PROTECTED REGION ID(FastPS::OnStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	FastPS::OnStateAllowed
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : FastPS::is_Off_allowed()
 *	Description : Execution allowed for Off attribute
 */
//--------------------------------------------------------
bool FastPS::is_Off_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for Off command.
	/*----- PROTECTED REGION ID(FastPS::OffStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	FastPS::OffStateAllowed
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : FastPS::is_StartWaveform_allowed()
 *	Description : Execution allowed for StartWaveform attribute
 */
//--------------------------------------------------------
bool FastPS::is_StartWaveform_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for StartWaveform command.
	/*----- PROTECTED REGION ID(FastPS::StartWaveformStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	FastPS::StartWaveformStateAllowed
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : FastPS::is_Reset_allowed()
 *	Description : Execution allowed for Reset attribute
 */
//--------------------------------------------------------
bool FastPS::is_Reset_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for Reset command.
	/*----- PROTECTED REGION ID(FastPS::ResetStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	FastPS::ResetStateAllowed
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : FastPS::is_HwReset_allowed()
 *	Description : Execution allowed for HwReset attribute
 */
//--------------------------------------------------------
bool FastPS::is_HwReset_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for HwReset command.
	/*----- PROTECTED REGION ID(FastPS::HwResetStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	FastPS::HwResetStateAllowed
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : FastPS::is_StopWaveform_allowed()
 *	Description : Execution allowed for StopWaveform attribute
 */
//--------------------------------------------------------
bool FastPS::is_StopWaveform_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for StopWaveform command.
	/*----- PROTECTED REGION ID(FastPS::StopWaveformStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	FastPS::StopWaveformStateAllowed
	return true;
}


/*----- PROTECTED REGION ID(FastPS::FastPSStateAllowed.AdditionalMethods) ENABLED START -----*/

//	Additional Methods

/*----- PROTECTED REGION END -----*/	//	FastPS::FastPSStateAllowed.AdditionalMethods

}	//	End of namespace
